List subscription payments
curl --request GET \
--url https://api.mysoleas.com/merchand/billing/subscriptions/payments/{reference} \
--header 'x-sp-auth-token: <api-key>'import requests
url = "https://api.mysoleas.com/merchand/billing/subscriptions/payments/{reference}"
headers = {"x-sp-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-sp-auth-token': '<api-key>'}};
fetch('https://api.mysoleas.com/merchand/billing/subscriptions/payments/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": [
{
"reference": "<string>",
"amount": 123,
"currency": "<string>",
"status": "PENDING",
"due_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_intent_reference": "<string>",
"payment_link_reference": "<string>",
"wallet_transaction_id": "<string>",
"failure_reason": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Subscriptions
Subscription payments
GET
/
merchand
/
billing
/
subscriptions
/
payments
/
{reference}
List subscription payments
Authorizations
JWT Bearer emis par Mysoleas Identity Cloud. Format: Bearer <access_token>.
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
